jupyter notebook url / kernel issue

Answered

How do you resolve this kernel issue?  Thanks for your help.

/Users/justin/anaconda/bin/python /Users/justin/anaconda/bin/jupyter-notebook --no-browser --ip 127.0.0.1 --port 8889
[W 20:21:52.921 NotebookApp] Unrecognized JSON config file version, assuming version 1
[I 20:21:53.755 NotebookApp] [nb_conda_kernels] enabled, 1 kernels found
[I 20:21:54.105 NotebookApp] [nb_conda] enabled
[I 20:21:54.155 NotebookApp] ✓ nbpresent HTML export ENABLED
[W 20:21:54.155 NotebookApp] ✗ nbpresent PDF export DISABLED: No module named 'nbbrowserpdf'
[I 20:21:54.204 NotebookApp] [nb_anacondacloud] enabled
[I 20:21:54.210 NotebookApp] Serving notebooks from local directory: /Users/justin/PycharmProjects/test_jupyter
[I 20:21:54.210 NotebookApp] 0 active kernels
[I 20:21:54.210 NotebookApp] The Jupyter Notebook is running at: http://127.0.0.1:8889/
[I 20:21:54.210 NotebookApp] Use Control-C to stop this server and shut down all kernels (twice to skip confirmation).
[E 20:21:55.090 NotebookApp] Unhandled error in API request
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 173, in get_kernel_spec
        resource_dir = d[kernel_name.lower()]
    KeyError: 'python3'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/base/handlers.py", line 457, in wrapper
        result = yield gen.maybe_future(method(self, *args, **kwargs))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1014, in run
        yielded = self.gen.throw(*exc_info)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/handlers.py", line 47, in post
        kernel_id = yield gen.maybe_future(km.start_kernel(kernel_name=model['name']))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 282, in wrapper
        yielded = next(result)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/kernelmanager.py", line 87, in start_kernel
        super(MappingKernelManager, self).start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/multikernelmanager.py", line 110, in start_kernel
        km.start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 230, in start_kernel
        kernel_cmd = self.format_kernel_cmd(extra_arguments=extra_arguments)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 170, in format_kernel_cmd
        cmd = self.kernel_spec.argv + extra_arguments
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 82, in kernel_spec
        self._kernel_spec = self.kernel_spec_manager.get_kernel_spec(self.kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/nb_conda_kernels/manager.py", line 147, in get_kernel_spec
        kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 175, in get_kernel_spec
        raise NoSuchKernel(kernel_name)
    jupyter_client.kernelspec.NoSuchKernel: No such kernel named python3
[E 20:21:55.092 NotebookApp] {
      "User-Agent": "Java/1.8.0_112-release",
      "Host": "127.0.0.1:8889",
      "Connection": "keep-alive",
      "Accept": "text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2"
    }
[E 20:21:55.092 NotebookApp] 500 POST /api/kernels (127.0.0.1) 622.34ms referer=None
[E 20:22:01.713 NotebookApp] Unhandled error in API request
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 173, in get_kernel_spec
        resource_dir = d[kernel_name.lower()]
    KeyError: 'python3'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/base/handlers.py", line 457, in wrapper
        result = yield gen.maybe_future(method(self, *args, **kwargs))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1014, in run
        yielded = self.gen.throw(*exc_info)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/handlers.py", line 47, in post
        kernel_id = yield gen.maybe_future(km.start_kernel(kernel_name=model['name']))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 282, in wrapper
        yielded = next(result)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/kernelmanager.py", line 87, in start_kernel
        super(MappingKernelManager, self).start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/multikernelmanager.py", line 110, in start_kernel
        km.start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 230, in start_kernel
        kernel_cmd = self.format_kernel_cmd(extra_arguments=extra_arguments)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 170, in format_kernel_cmd
        cmd = self.kernel_spec.argv + extra_arguments
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 82, in kernel_spec
        self._kernel_spec = self.kernel_spec_manager.get_kernel_spec(self.kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/nb_conda_kernels/manager.py", line 147, in get_kernel_spec
        kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 175, in get_kernel_spec
        raise NoSuchKernel(kernel_name)
    jupyter_client.kernelspec.NoSuchKernel: No such kernel named python3
[E 20:22:01.715 NotebookApp] {
      "User-Agent": "Java/1.8.0_112-release",
      "Host": "127.0.0.1:8889",
      "Connection": "keep-alive",
      "Accept": "text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2"
    }
[E 20:22:01.715 NotebookApp] 500 POST /api/kernels (127.0.0.1) 576.11ms referer=None
[E 20:22:05.779 NotebookApp] Unhandled error in API request
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 173, in get_kernel_spec
        resource_dir = d[kernel_name.lower()]
    KeyError: 'python3'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/base/handlers.py", line 457, in wrapper
        result = yield gen.maybe_future(method(self, *args, **kwargs))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1014, in run
        yielded = self.gen.throw(*exc_info)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/handlers.py", line 47, in post
        kernel_id = yield gen.maybe_future(km.start_kernel(kernel_name=model['name']))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 282, in wrapper
        yielded = next(result)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/kernelmanager.py", line 87, in start_kernel
        super(MappingKernelManager, self).start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/multikernelmanager.py", line 110, in start_kernel
        km.start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 230, in start_kernel
        kernel_cmd = self.format_kernel_cmd(extra_arguments=extra_arguments)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 170, in format_kernel_cmd
        cmd = self.kernel_spec.argv + extra_arguments
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 82, in kernel_spec
        self._kernel_spec = self.kernel_spec_manager.get_kernel_spec(self.kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/nb_conda_kernels/manager.py", line 147, in get_kernel_spec
        kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 175, in get_kernel_spec
        raise NoSuchKernel(kernel_name)
    jupyter_client.kernelspec.NoSuchKernel: No such kernel named python3
[E 20:22:05.780 NotebookApp] {
      "User-Agent": "Java/1.8.0_112-release",
      "Host": "127.0.0.1:8889",
      "Connection": "keep-alive",
      "Accept": "text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2"
    }
[E 20:22:05.780 NotebookApp] 500 POST /api/kernels (127.0.0.1) 680.84ms referer=None
[E 20:23:15.571 NotebookApp] Unhandled error in API request
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 173, in get_kernel_spec
        resource_dir = d[kernel_name.lower()]
    KeyError: 'python3'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/base/handlers.py", line 457, in wrapper
        result = yield gen.maybe_future(method(self, *args, **kwargs))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1014, in run
        yielded = self.gen.throw(*exc_info)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/handlers.py", line 47, in post
        kernel_id = yield gen.maybe_future(km.start_kernel(kernel_name=model['name']))
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 1008, in run
        value = future.result()
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/concurrent.py", line 232, in result
        raise_exc_info(self._exc_info)
      File "<string>", line 3, in raise_exc_info
      File "/Users/justin/anaconda/lib/python3.5/site-packages/tornado/gen.py", line 282, in wrapper
        yielded = next(result)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/notebook/services/kernels/kernelmanager.py", line 87, in start_kernel
        super(MappingKernelManager, self).start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/multikernelmanager.py", line 110, in start_kernel
        km.start_kernel(**kwargs)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 230, in start_kernel
        kernel_cmd = self.format_kernel_cmd(extra_arguments=extra_arguments)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 170, in format_kernel_cmd
        cmd = self.kernel_spec.argv + extra_arguments
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/manager.py", line 82, in kernel_spec
        self._kernel_spec = self.kernel_spec_manager.get_kernel_spec(self.kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/nb_conda_kernels/manager.py", line 147, in get_kernel_spec
        kernel_name)
      File "/Users/justin/anaconda/lib/python3.5/site-packages/jupyter_client/kernelspec.py", line 175, in get_kernel_spec
        raise NoSuchKernel(kernel_name)
    jupyter_client.kernelspec.NoSuchKernel: No such kernel named python3
[E 20:23:15.574 NotebookApp] {
      "User-Agent": "Java/1.8.0_112-release",
      "Host": "127.0.0.1:8889",
      "Connection": "keep-alive",
      "Accept": "text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2"
    }
[E 20:23:15.574 NotebookApp] 500 POST /api/kernels (127.0.0.1) 641.06ms referer=None

2 comments
Comment actions Permalink

Fixed, thank you!
had to run:

conda update nb_conda nb_conda_kernels nb_anacondacloud

0

Please sign in to leave a comment.